tw.com.prolific.driver.pl2303

## Enum PL2303Driver.BaudRate

- java.lang.Object
- - java.lang.Enum<PL2303Driver.BaudRate>
  - - tw.com.prolific.driver.pl2303.PL2303Driver.BaudRate

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL2303Driver.BaudRate>
  Enclosing class:
    PL2303Driver<UsbConfiguration>

      public static enum PL2303Driver.BaudRate
      extends java.lang.Enum<PL2303Driver.BaudRate>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `B0`
    `B115200`
    `B1200`
    `B12000000`
    `B1228800`
    `B14400`
    `B150`
    `B1800`
    `B19200`
    `B230400`
    `B2400`
    `B2457600`
    `B300`
    `B3000000`
    `B38400`
    `B460800`
    `B4800`
    `B57600`
    `B600`
    `B6000000`
    `B614400`
    `B75`
    `B921600`
    `B9600`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL2303Driver.BaudRate` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL2303Driver.BaudRate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### B0

          public static final PL2303Driver.BaudRate B0

    - #### B75

          public static final PL2303Driver.BaudRate B75

    - #### B150

          public static final PL2303Driver.BaudRate B150

    - #### B300

          public static final PL2303Driver.BaudRate B300

    - #### B600

          public static final PL2303Driver.BaudRate B600

    - #### B1200

          public static final PL2303Driver.BaudRate B1200

    - #### B1800

          public static final PL2303Driver.BaudRate B1800

    - #### B2400

          public static final PL2303Driver.BaudRate B2400

    - #### B4800

          public static final PL2303Driver.BaudRate B4800

    - #### B9600

          public static final PL2303Driver.BaudRate B9600

    - #### B14400

          public static final PL2303Driver.BaudRate B14400

    - #### B19200

          public static final PL2303Driver.BaudRate B19200

    - #### B38400

          public static final PL2303Driver.BaudRate B38400

    - #### B57600

          public static final PL2303Driver.BaudRate B57600

    - #### B115200

          public static final PL2303Driver.BaudRate B115200

    - #### B230400

          public static final PL2303Driver.BaudRate B230400

    - #### B460800

          public static final PL2303Driver.BaudRate B460800

    - #### B614400

          public static final PL2303Driver.BaudRate B614400

    - #### B921600

          public static final PL2303Driver.BaudRate B921600

    - #### B1228800

          public static final PL2303Driver.BaudRate B1228800

    - #### B2457600

          public static final PL2303Driver.BaudRate B2457600

    - #### B3000000

          public static final PL2303Driver.BaudRate B3000000

    - #### B6000000

          public static final PL2303Driver.BaudRate B6000000

    - #### B12000000

          public static final PL2303Driver.BaudRate B12000000

  - ### Method Detail

    - #### values

          public static PL2303Driver.BaudRate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL2303Driver.BaudRate c : PL2303Driver.BaudRate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL2303Driver.BaudRate valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null